GET private-agent/get/{agent_id}
Retrieves a specific private agent by ID for the current customer.
URL Parameters
| Name | Description |
|---|---|
| agent_id | The ID of the agent to retrieve. |
Remarks
Use GET private agents route to get the list of private agents having values applicable for agent_id.Request example
curl --request GET "https://api-asm1.apica.io/v3/private-agent/get/{"{"}agent_id{"}"}?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
{
"agent_id": "f168b4b9-4681-4a0a-8870-97e25150d44a",
"agent_name": "sample string 2",
"customer_guid": "dbfefbb1-c6c8-420c-b730-a3a640eeb0c7",
"geoloc": "sample string 4",
"created_utc": "2026-05-13T03:44:27",
"last_updated_utc": "2026-05-13T03:44:27",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-05-13T03:44:27",
"certificate_valid_till_utc": "2026-05-13T03:44:27",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
}
| Name | Type | Description |
|---|---|---|
| AgentId | Guid | The unique identifier of the agent. |
| AgentName | String | The name of the agent. |
| CustomerGuid | Guid | The unique identifier of the customer. |
| Geoloc | String | The geolocation string. |
| CreatedUtc | DateTime | The UTC timestamp when the agent was created. |
| LastUpdatedUtc | DateTime | The UTC timestamp when the agent was last updated. |
| Enabled | Boolean | Indicates whether the agent is enabled. |
| Health | String | The health status of the agent. |
| Status | String | The current status of the agent. |
| StatusUpdatedAt | Integer | The timestamp when the status was last updated. |
| CertificateValidFromUtc | DateTime | The UTC timestamp from when the agent's certificate is valid. |
| CertificateValidTillUtc | DateTime | The UTC timestamp until the agent's certificate is valid. |
| NodeStatus | String | The status of the node. |
| StatusDescription | String | A description of the agent's status. |
| SchedulingEligibility | String | Indicates the scheduling eligibility of the agent. |